package com.persagy.dmp.rwd.service;

import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/***
 * Description: 对象的上传下载逻辑处理类
 * @author : lijie
 * @date :2021/9/22 9:55
 * Update By lijie 2021/9/22 9:55
 */
public interface BatchHandleObjectService {

    /***
     * Description: 下载模板接口
     * @param response : 响应对象
     * @return : void
     * @author : lijie
     * @date :2021/9/22 9:54
     * Update By lijie 2021/9/22 9:54
     */
    void downloadObjectTemplateFile(HttpServletResponse response,String groupCode) throws IOException;
    /***
     * Description: 上传模板接口
     * @param file : 文件对象
     * @param request : 请求参数
     * @param response : 响应参数
     * return : void
     * @author : lijie
     * date :2021/9/24 10:10
     * Update By lijie 2021/9/24 10:10
     */
    void uploadObjectTemplateFile(MultipartFile file, HttpServletRequest request, HttpServletResponse response) throws IOException;
}
